package cn.pluss.platform.wx;

import cn.pluss.platform.vo.WxCertInfoVO;

import java.util.List;

public interface WxCertService {

    /**
     * 发起微信认证
     * @param userId        用户id
     * @param merchantCode  商编
     * @param channelId     通道id
     */
    void wxCert(String userId, String merchantCode, Integer channelId);

    /**
     * 微信认证取消
     * @param userId        用户id
     * @param merchantCode  商编
     * @param channelId     通道id
     */
    void wxCertCancel(String userId, String merchantCode, Integer channelId);

    /**
     * 微信认证授权状态
     * @param merchantCode  商编
     * @param channelId     通道id
     */
    default void wxCertAuthStatus(String merchantCode, Integer channelId) {}

    /**
     * 微信认证申请单状态
     * @param merchantCode  商编
     * @param channelId     通道id
     */
    default void wxCertApplyStatus(String merchantCode, Integer channelId) {}

    /**
     * 微信认证状态表
     * @param userId    用户id
     * @param channelType   通道类型
     * @return
     */
    WxCertInfoVO wxCertInfo(String userId, String channelType);

    /**
     * 微信认证状态表
     * @param userId    用户id
     * @return
     */
    List<WxCertInfoVO> wxCertInfo(String userId);
}
